#include<bits/stdc++.h>
using namespace std;
string s;
int x;
int main(){
    cin>>x>>s;
    if(s.size()<26){cout<<0<<endl;}
    else if(x==26 and s=="ABCDEFGHIJKLMNOPQRSTUVWXYZ"){cout<<1<<endl;}
return 0;
}